rzxtool(1)

NAME
rzxtool — Modify Sinclair ZX Spectrum input recording files

SYNOPSIS
rzxtool [-dblock number] [-eblock number,filename] [-iblock number,filename] [-f] [-u] rzxfile [outfile]

DESCRIPTION
rzxtool allows some simple modifications to be made to Sinclair ZX Spectrum input recording files: blocks can be removed, snapshot data can be extracted or snapshots can be inserted into the file. The file can also be uncompressed.

OPTIONS
-dblock number
    The block number specified will be deleted from the file. Block numbers start at zero and ignore any “creator information” blocks in the file. The modified file will be written to outfile.

-eblock number,filename
    The snapshot in the specified block number will be written to the specified filename. All snapshot formats supported by libspectrum(3) are available.

-iblock number,filename
    The snapshot specified in filename will be added to the file at the position specified by block number.

-f
    Finalise the RZX file. Any embedded snapshot (except the first one) will be deleted. Fuse can add interspersed snapshots to RZX files to allow rollbacking to a previous time. Action replays submitted to the RZX Archive should not have these snapshots.

-u
    When outputting an RZX file, this option causes the input recording data to be output uncompressed; if this option is not given, the data will be compressed using zlib(3).

-h, --help
    Give brief usage help, listing available options.

-V, --version
    Output version information.

rzxfile
    specifies an input recording file whose contents are to be modified.

outfile
    specifies where the modified input file should be written.

BUGS
None known

SEE ALSO
fuse(1), fuse-utils(1), rzxcheck(1), rzxdump(1), zlib(3)

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Philip Kendall (philip-fuse@shadowmagic.org.uk).